Package com.ericsson.otp.erlang

# Interface OtpServerTransport

All Known Implementing Classes:
  `OtpServerSocketTransport`

public interface OtpServerTransport
Server-side connection-oriented transport interface.

## Method Summary

Modifier and Type
Method
Description
`OtpTransport`
`accept()`
`void`
`close()`
`int`
`getLocalPort()`

## Method Details

### getLocalPort

int getLocalPort()

See Also:
  - `ServerSocket.getLocalPort()`

### accept

OtpTransport accept() throws IOException

Throws:
  `IOException`
See Also:
  - `ServerSocket.accept()`

### close

void close() throws IOException

Throws:
  `IOException`
See Also:
  - `ServerSocket.close()`